error installing server 2moons

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • error installing server 2moons

      I'm installing the 2moons server and it gives me a problem at the end, which I don't know how to fix.

      0„3Felicidades!
      Usted ha instalado exitosamente 2Moons.


      Comience con 2Moons!
      Si hace clic en el bot¨®n de abajo, usted ser¨¢ redirigido a un formulario en el ¨¢rea de administraci¨®n. Entonces usted deber¨ªa tratar de sacar algo de tiempo para conocer las opciones disponibles.


      Por favor, borre el archivo 0†3includes/ENABLE_INSTALL_TOOL0…0 o renombrelo antes de utilizar su juego. Mientras existe este archivo, el juego estar¨¢ en riesgo potencial!



      NOTICE
      Message: Trying to access array offset on value of type null
      File: /includes/classes/Session.class.php
      Line: 266
      URL: localhost/admin.php
      PHP-Version: 7.4.2
      PHP-API: apache2handler
      2Moons Version: 2.0.0
      Debug Backtrace:
      #0 /includes/classes/Session.class.php(266): errorHandler(8, 'Trying to acces...', 'C://xampp//htdocs...', 266, Array)
      #1 /includes/common.php(116): Session->isValidSession()
      #2 /admin.php(23): require('C://xampp//htdocs...')
      #3 {main}

      Fatal error: Uncaught ErrorException: Trying to access array offset on value of type null in C:\xampp\htdocs\includes\classes\Session.class.php:225 Stack trace: #0 C:\xampp\htdocs\includes\classes\Session.class.php(225): errorHandler(8, 'Trying to acces...', 'C:\\xampp\\htdocs...', 225, Array) #1 [internal function]: Session->save() #2 {main} thrown in C:\xampp\htdocs\includes\classes\Session.class.php on line 225
    • версия 2moons какая у вас ?подозреваю что --- 1.8 --- и эта версия поддерживает 7.1 выше нет ... нужно править в ручную код для поддержки до 7.5 которая есть бета хотя достаточно на 7.3..
      Делаю качественно в сроки! на любой версии moons, встрою, или напишу любой мод , но дорого! afire-space.com
    • Shadow wrote:

      версия 2moons какая у вас ?подозреваю что --- 1.8 --- и эта версия поддерживает 7.1 выше нет ... нужно править в ручную код для поддержки до 7.5 которая есть бета хотя достаточно на 7.3..
      Оригинал не поддерживает; но сделав правки, вполне все робит.
      Совет: изучить + метод тыка. Ну либо откат на php 7.2
    • El problema es a partir de php 7.4, que ya no acepta como valor null como 0 entonces tienes que pasarlo directo al php. los problemas que te dan son con estos, ya me paso, luego te paso la solución

      Source Code: AbstractGamePage.class.php

      1. 'previousPlanet' => $previousPlanet['id'],
      2. 'nextPlanet' => $nextPlanet['id'],
    • Yaro2709 wrote:

      Shadow wrote:

      версия 2moons какая у вас ?подозреваю что --- 1.8 --- и эта версия поддерживает 7.1 выше нет ... нужно править в ручную код для поддержки до 7.5 которая есть бета хотя достаточно на 7.3..
      Оригинал не поддерживает; но сделав правки, вполне все робит.Совет: изучить + метод тыка. Ну либо откат на php 7.2
      угу тока это не мне.. а спрашивающему надо ознакомится
      Делаю качественно в сроки! на любой версии moons, встрою, или напишу любой мод , но дорого! afire-space.com
    • Я твое ответ дополнил))
      Хотя на 7.2 не советовал, там все равно надо делать правки в галактике и иезе в двух модах. Поэтому лучше ставить 7.1 *там ошибок не видел*
    • Yaro2709 wrote:

      Shadow wrote:

      версия 2moons какая у вас ?подозреваю что --- 1.8 --- и эта версия поддерживает 7.1 выше нет ... нужно править в ручную код для поддержки до 7.5 которая есть бета хотя достаточно на 7.3..
      Оригинал не поддерживает; но сделав правки, вполне все робит.Совет: изучить + метод тыка. Ну либо откат на php 7.2
      угу тока это не мне.. а спрашивающему надо ознакомится

      я поправил до 7.3 а так ты прав.. но там не только два мода ))...
      KingWithe
      а да где выбрать версию php
      на хостинге prnt.sc/r369qr и prnt.sc/r36a0h
      на VPS не много внешний вид отличается prnt.sc/r36avj
      Делаю качественно в сроки! на любой версии moons, встрою, или напишу любой мод , но дорого! afire-space.com
      1. Я дополнил твой ответ. И это не тебе было адресовано, если считаю ответ не полным - дополняю.
      2. Я говорил про 7.2, а не про 7.3.
      3. Комбо сообщений; тебя там не заело?
      Это уже 5 раз, когда я сталкиваюсь с таким говном...
      Go to sleep